Jifty::Action::Record::Create(3)

NAME
Jifty::Action::Record::Create - Automagic creation action

DESCRIPTION
This class is used as the base class for Jifty::Actions that are merely creating Jifty::Record objects. To use it, subclass it and override the "record_class" method to return the name of the Jifty::Record subclass that this action creates.

METHODS

  arguments
Set the default value in each of the fields to whatever the default of the column is in the model

  take_action
Overrides the virtual "take_action" method on Jifty::Action to call the appropriate "Jifty::Record"'s "create" method when the action is run, thus creating a new object in the database.

The "id" of the new row is returned in the "id" content of the Jifty::Result for the action. You can use this in conjunction with request mapping in order to give later parts of the request access to the "id".

  create_record
This method actually performs the call to "record->create". It receives as arguments the parameter hash and should return the message for the user, indicating success or failure.

  report_success
Sets the "message" in Jifty::Result to default success message, "Created". Override this if you want to report some other more user-friendly result.

  possible_columns
Create actions do not provide fields for columns marked as "private" or "protected".

  _extra_validator_args
Passes "for => 'create'" to validators.

  _extra_canonicalizer_args
Passes "for => 'create'" to canonicalizers.

  _extra_autocompleter_args
Passes "for => 'create'" to autocompleters.

SEE ALSO
Jifty::Action::Record, Jifty::Record

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.